
LoadModule ldap_module                    /usr/lib64/apache2-prefork/mod_ldap.so
LoadModule authnz_ldap_module             /usr/lib64/apache2-prefork/mod_authnz_ldap.so
LoadModule actions_module                 /usr/lib64/apache2-prefork/mod_actions.so
LoadModule alias_module                   /usr/lib64/apache2-prefork/mod_alias.so
LoadModule auth_basic_module              /usr/lib64/apache2-prefork/mod_auth_basic.so
LoadModule authz_host_module              /usr/lib64/apache2-prefork/mod_authz_host.so
LoadModule authz_core_module              /usr/lib64/apache2-prefork/mod_authz_core.so
LoadModule authz_user_module              /usr/lib64/apache2-prefork/mod_authz_user.so
LoadModule cgi_module                     /usr/lib64/apache2-prefork/mod_cgi.so
LoadModule dir_module                     /usr/lib64/apache2-prefork/mod_dir.so
LoadModule env_module                     /usr/lib64/apache2-prefork/mod_env.so
LoadModule expires_module                 /usr/lib64/apache2-prefork/mod_expires.so
LoadModule log_config_module              /usr/lib64/apache2-prefork/mod_log_config.so
LoadModule mime_module                    /usr/lib64/apache2-prefork/mod_mime.so
LoadModule negotiation_module             /usr/lib64/apache2-prefork/mod_negotiation.so
LoadModule setenvif_module                /usr/lib64/apache2-prefork/mod_setenvif.so
LoadModule rewrite_module                 /usr/lib64/apache2-prefork/mod_rewrite.so
LoadModule perl_module                    /usr/lib64/apache2/mod_perl.so

ServerName      127.0.0.1
DocumentRoot	public_html
Listen			2077
PidFile			httpd.pid

ErrorLog        httpd.log
CustomLog       httpd.log "%h %l %u %t \"%r\" %>s %b"

PerlSwitches -T

<Perl >
    use Cwd qw(cwd);
    use File::Spec();
    
    my ($base) = (cwd() =~ m/(.*)/);
    $IMPL::Config::AppBase = $base;
    $IMPL::Config::ConfigBase = File::Spec->catdir($base, 'config');
    
    push @INC, File::Spec->catdir($base,'lib');
    push @INC, File::Spec->catdir($base,'../Impl/Lib');
    
    require Benzin::Apache::CookieAuth;
    require Benzin::Web::Application;
</Perl>

Alias       /favicon.ico    public_html/favicon.ico
Alias       /js/            public_html/js/
Alias       /css/           public_html/css/
Alias       /static/        public_html/static/
Alias       /images/        public_html/images/

Alias /                     public_html/cgi-bin/handler.pl/

<Directory public_html>
    AllowOverride none
    Require all granted    
</Directory>

<Directory public_html/cgi-bin >
    #SetHandler perl-script
    #PerlHandler Benzin::Web::Application
    
	SetHandler cgi-script
	Options +ExecCGI
</Directory>

<Location />
    #AuthName "Your collab account"
    #AuthType benzin
    #PerlAuthenHandler Benzin::Apache::CookieAuth
    
    #Require valid-user
</Location>

<Location /user>
    Require all granted
</Location>
<Location /js>
    Require all granted
</Location>
<Location /css>
    Require all granted
</Location>
<Location /static>
    Require all granted
</Location>
<Location /images>
    Require all granted
</Location>
<Location /favicon.ico>
    Require all granted
</Location>
